unit DAVSL_About;
{-----------------------------------------------------------------
Part of Diagramantics VSL Framework (DAVSL)
www.diagramantics.com

Provides a generic About dialog. Users can activate this in Visio
through the

Tools > Add-Ons > Run Addon...

menu item (may be visible only in Developer mode).

History
---------
2000-09-22 GW Converted from Addon to helper function
2000-09-18 GW Original

-----------------------------------------------}

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  Tdlg_About = class(TForm)
    Panel1: TPanel;
    OKBtn: TButton;
    Memo1: TMemo;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dlg_About: Tdlg_About; // not used

implementation
uses Visio_TLB, DAVAO, DAVSL, DAVSL_Util;
{$R *.DFM}

//---------------------------------
procedure Tdlg_About.FormClose(Sender: TObject; var Action: TCloseAction);
//---------------------------------
begin
  Action := caFree;
end;

//---------------------------------
procedure Tdlg_About.OKBtnClick(Sender: TObject);
//---------------------------------
begin
  Close;
end;

initialization

end.
